> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Stripe configuration

> Update the current platform Stripe configuration. Platform configuration includes the stripe secret used for API access, while business-level configuration includes specific Stripe entity IDs such as a Stripe connect account.



## OpenAPI

````yaml put /v1/configure/stripe
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/configure/stripe:
    put:
      tags: []
      summary: Update Stripe configuration
      description: >-
        Update the current platform Stripe configuration. Platform configuration
        includes the stripe secret used for API access, while business-level
        configuration includes specific Stripe entity IDs such as a Stripe
        connect account.
      operationId: configure.stripe.put
      parameters:
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StripeConfigurationInput'
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StripeConfigurationResponse'
      deprecated: false
components:
  schemas:
    StripeConfigurationInput:
      type: object
      properties:
        secret:
          type: string
          description: Secret to associate with the Stripe Connect account.
          example: adspijzxvXZPIZfakeSecretAPSaspfkng
    StripeConfigurationResponse:
      type: object
      properties:
        stripe_secret_last_4:
          type: string
          description: Last 4 digits of the stripe connect account.
          example: '8765'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````